Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-14253

Output plugin version everywhere during plugin installation

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 8.0.0
    • Fix Version/s: None
    • Component/s: cordova-cli
    • Labels:
      None

      Description

      See this exemplary output:

      Discovered plugin "cordova-plugin-ionic" in config.xml. Adding it to the project
      Fetching plugin "cordova-plugin-ionic@^4.1.7" via npm
      Installing "cordova-plugin-ionic" for ios
      Plugin dependency "cordova-plugin-splashscreen@5.0.2" already fetched, using that version.
      Dependent plugin "cordova-plugin-splashscreen" already installed on ios.
      Failed to install 'cordova-plugin-ionic': CordovaError: Version of installed plugin: "cordova-plugin-ionic-webview@1.2.1" does not satisfy dependency plugin requirement "cordova-plugin-ionic-webview@>=2.0.0". Try --force to use installed plugin as dependency.
      

      Only in the second line does it mention the version: `^4.1.7`. It would be great if all mentions of the plugin would include the version (or even actual version being installed vs. the definition with ^)

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              Sujan12 Jan Piotrowski (janpio)
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: